version: '3.8'

services:
  web:
    build: ./django_girls
    command: python manage.py runserver 0.0.0.0:8000
    volumes:
      - ./django_girls/:/usr/src/django_girls/
    ports:
      - 8000:8000
    env_file:
      - .env
    depends_on:
      - db
  db:
    image: postgres:13.0-alpine
    volumes:
      - postgres_data:/var/lib/postgresql/data/
    ports:
      - 5432:5432
    environment:
      - POSTGRES_USER=hello_django
      - POSTGRES_PASSWORD=hello_django
      - POSTGRES_DB=hello_django_dev
volumes:
  postgres_data: